/*
 * lan91c111_io.h
 * Matthew Millman
 *
 * Routines for accessing the lan91c111 ethernet controller attached to our CF slots
 */

#ifndef __LAN91C111_IO_H__
#define __LAN91C111_IO_H__

inline word SMC_inw(dword offset);
inline void SMC_outw(word value, dword offset);
inline byte SMC_inb(dword offset);
inline void SMC_outb(byte value, dword offset);
inline void SMC_insw(dword offset, volatile uchar * buf, dword len);
inline void SMC_outsw(dword offset, uchar * buf, dword len);

#endif
